function mig(){}
function sig(){}
function cig(a){this.a=a}
function eig(a){this.a=a}
function qig(a){this.a=a}
function lig(a,b){D$f(a.a,b)}
function Iig(a){var b;if(!a.d){b=new mig;a.d=b}return a.d}
function oig(){poe.call(this,J$j,'Persistence Inheritance')}
function Yhg(a){var b;b=fBh(a.b.a,Yuf(),jM(p1c,Xxj,1,[]));n8i(e8i(b,WGj),Q_j);_nj(new snj(b),new cig(a))}
function $hg(a,b,d,e){oGd.call(this,a,b,d);this.c=e;this.b=new G0i(sLb,(qBh(),lBh).Mc(sLb),pBh.Mc(sLb));this.a=new V0i(sLb)}
function Hig(a){var b;if(!a.c){b=new $hg(yFd(vce(a.a)),Iig(a),Gig(a),(Doj(aee(a.a)),VLg(ode(a.a))),H1i($de(a.a)));KFd((wce(a.a),b),HGd(wce(a.a)));a.c=b}return a.c}
function Zhg(a,b){var d;d=K0i(a.a,b,fBh(a.b.a,Yuf(),jM(p1c,Xxj,1,[])),jM(i2c,Pxj,280,[]));if(b.Jc(TMj)&&uh(b.Mc(TMj),vAj)){b.Pc(TMj);t8i(e8i(d,UMj),(wmj(),vmj))}_nj(new snj(d),new eig(a))}
function aig(a,b){var d,e;e=Vnj(b);if(e.b.iN(rHj)&&e8i(e,rHj).b.b!=(wmj(),vmj)&&!CPd(e8i(e,rHj).b.bf(),sHj)){CYd(V_j+(xYd(),'Loading JPA Subsystem'))}else{d=L0i(a.a.a,e8i(e,dHj).b.bN());lig(a.a.A,d)}}
y3c(3557,1011,Wyj,$hg);_.Ti=function(){this.A.b=this};_.Yi=function(){Yhg(this)};_.aj=function(){_uf(this.c,this)};y3c(3558,1298,{},cig);_.eh=function(a){aig(this,a)};y3c(3559,1298,{},eig);_.eh=function(a){var b;b=Vnj(a);b.b.iN(rHj)&&e8i(b,rHj).b.b!=(wmj(),vmj)&&!CPd(e8i(b,rHj).b.bf(),sHj)?DYd($0j+(xYd(),ldk),g8i(b)):EYd(_0j+(xYd(),ldk));Yhg(this.a)};y3c(3562,1415,Vyj,mig);_.Bh=function(){var a,b,d,e,g,i;this.a=new K$f(sLb);a=new phe(TMj,mdk,false);g=new oig;ooe(g,jM(p1c,Xxj,1,['DEEP','SHALLOW']));u1d(this.a,hHj,jM(g2c,Ezj,261,[a,g]));s1d(this.a,false);d=new m1i(this.a,new qig(this));e=new a2e(new sig,this.a);b=iBe(kBe(jBe(new mBe,this.a),e));i=OBe(TBe(SBe(PBe(QBe(VBe(new WBe,w2j),ldk),(xYd(),'The configuration of the JPA subsystem.')),L2j,b),k1i(d)));return i};y3c(3563,1663,Kzj,oig);_.ak=function(){return false};y3c(3564,1,{},qig);_.Fk=function(a){Zhg(this.a.b,(this.a.a.c,a))};y3c(3565,1,{},sig);_.al=function(){var a;a=Yuf();o8i(U7i(a),lIj,qGj);return a};y3c(3571,1,Czj);_.td=function(){gHd(this.b,Hig(this.a.a))};var kLb=eOd(3557),gLb=eOd(3558),hLb=eOd(3559),oLb=eOd(3562),lLb=eOd(3563),mLb=eOd(3564),nLb=eOd(3565);qAj(fp)(54);